Subject: bug#19858: 25.0.50; Docstring bug in make-temp-name

From: Glenn Morris <[email-masked]>
Date: Fri, 20 Feb 2015 00:42:46 -0500

Stefan Monnier wrote:

> Presumably, HOME is only writable by yourself, so you can presume that
> there's no attacker trying play race-condition tricks on you in there to
> try and get to run code under your UID.

If it meant "it's safe so long as no-one else can write to the
containing directory", then I think it should have said that rather than
making assumptions about the permissions of HOME.

Anyway, I don't think those various qualifications were helpful, so I
basically removed them from the doc.